# class wprt

Remote Print services via PLP More...

Definition | `#include <wprt.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- wprt (ppsocket *)
- ~wprt ()
- void reset ()
- void reconnect ()
- Enum<rfsv::errs> getStatus ()
- Enum<rfsv::errs> getData (bufferStore &buf)
- Enum<rfsv::errs> initPrinter ()
- Enum<rfsv::errs> cancelJob ()
- bool stop ()

#### Protected Types

- enum commands { WPRT_INIT = 0x00, WPRT_GET = 0xf0, WPRT_CANCEL = 0xf1, WPRT_STOP = 0xff }

#### Protected Methods

- bool sendCommand (enum commands cc, bufferStore &data)
- Enum<rfsv::errs> getResponse (bufferStore &data)
- const char * getConnectName ()

#### Protected Members

- ppsocket *skt
- Enum<rfsv::errs> status

## Detailed Description

Remote Print services via PLP

wprt (ppsocket *)

### wprt

~wprt ()

### ~wprt

Virtual destructor.

void reset ()

### reset

Initializes a connection to the remote machine.

void reconnect ()

### reconnect

Attempts to re-establish a remote connection by first closing the socket, then connecting again to the ncpd daemon and finally calling reset.

Enum<rfsv::errs> getStatus ()

### getStatus

Retrieves the current status of the connection.

Returns: The connection status.

Enum<rfsv::errs> getData (bufferStore &buf)

### getData

Get Print Data

Enum<rfsv::errs> initPrinter ()

### initPrinter

Init Printer

Enum<rfsv::errs> cancelJob ()

### cancelJob

Cancels a running job.

bool stop ()

### stop

Stops the WPRT server.

enum commands { WPRT_INIT = 0x00, WPRT_GET = 0xf0, WPRT_CANCEL = 0xf1, WPRT_STOP = 0xff }

### commands

[protected]

The possible commands.

ppsocket * skt

### skt

[protected]

Enum<rfsv::errs> status

### status

[protected]

bool sendCommand (enum commands cc, bufferStore &data)

### sendCommand

[protected]

Sends a command to the remote side.

If communication fails, a reconnect is triggered and a second attempt to transmit the request is attempted. If that second attempt fails, the function returns an error an sets rpcs::status to E_PSI_FILE_DISC.

Parameters:

cc | The command to execute on the remote side.
data | Additional data for this command.

Returns: true on success, false on failure.

Enum<rfsv::errs> getResponse (bufferStore &data)

### getResponse

[protected]

const char * getConnectName ()

### getConnectName

[protected]

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.